Cards, prop trading & accounting

Get Onboarding Status

Derives the caller's Rain card onboarding step, refreshing application status from Rain and persisting changes.

GEThttps://api.toku.com/hris/get-onboarding-status

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-onboarding-status' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "step": "country-selection",
  "countryFlowType": "US",
  "applicationStatus": "string",
  "verificationUrl": "string",
  "verificationParams": {},
  "missingAgreements": [
    "string"
  ],
  "applicationReason": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
stepstringrequired

Available options: country-selection, personal-info, verification, agreements, issue-card, complete

countryFlowTypestring

Available options: US, INTERNATIONAL

applicationStatusstring
verificationUrlstring | null
verificationParamsobject
missingAgreementsstring[]
applicationReasonstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits